## ironic 23.0.5

=== debian/changelog ===
ironic (1:23.0.5-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream realease.
  * Blacklist test_portgroups_subresource_delete that's failing if /tmp is
    tmpfs.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 06 Nov 2025 08:06:01 +0000

ironic (1:23.0.3-2) UNRELEASED; urgency=medium

  * New upstream point release.
  * Add qemu-utils as build-depends.
  * Blacklist test_objects.TestObjectVersions.test_object_version_check.
  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 09:52:50 +0200

ironic (1:23.0.0-4) unstable; urgency=medium

  * More prints removal in do-not-print.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Oct 2023 13:09:08 +0200

ironic (1:23.0.0-3) unstable; urgency=medium

  * Removed python3-sphinxcontrib.seqdiag from build-depends and add
    remove-the-use-of-seqdiag.patch (Closes: #1053841).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Oct 2023 13:54:11 +0200

ironic (1:23.0.0-2) unstable; urgency=medium

  * Add do-not-print.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 22:39:01 +0200

ironic (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:32:41 +0200

ironic (1:22.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-pysnmp-lextudio as (build-)depends.
  * Renamed debian/po as debian/po.in to be able to clean better. Same with
    the $(CURDIR)/debian/ironic-common.templates.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 15:31:22 +0200

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 5.5.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mysqldb,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils (>= 2.16.0),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp-lextudio,
 python3-requests,
 python3-rfc3986,
 python3-scciclient,
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy,
 python3-swiftclient,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-webtest,
 qemu-utils,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 debconf,
 ironic-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-cinderclient,
 python3-dracclient,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 5.5.0),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstacksdk,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils (>= 2.16.0),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp-lextudio,
 python3-requests,
 python3-rfc3986,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient (>= 0.12.2),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config debian/ironic-api.templates
	rm -rf doc/build *.egg-info .stestr build
	rm -rf doc/source/contributor/api doc/source/_static
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf $(CURDIR)/debian/po $(CURDIR)/debian/ironic-common.templates
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done


override_dh_auto_build:
	cp -r $(CURDIR)/debian/po.in $(CURDIR)/debian/po
	cp $(CURDIR)/debian/ironic-common.templates.in $(CURDIR)/debian/ironic-common.templates
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst
	pkgos-merge-templates ironic-api ironic endpoint
	pkgos-merge-templates ironic-common ironic db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

# Disabled:
# - ironic.tests.unit.common.test_glance_service.TestGlanceImageService.test_show_makes_datetimes
# - ironic.tests.unit.drivers.modules.irmc.test_raid.IRMCRaidConfigurationInternalMethodsTestCase.test__commit_raid_config_with_logical_drives
# because I couldn't rebase https://review.opendev.org/c/openstack/ironic/+/821370
# correctly. As it's likely only a test code issue, and Ironic otherwise works, let's ignore it
# for the moment until we upgrade with the above patch.
# - ironic.tests.unit.drivers.modules.test_pxe.PXEAnacondaDeployTestCase.test_reboot_to_instance
# Try to access to /etc/dnsmasq.d/hostsdir.d/ironic-52:54:00:cf:2d:31.conf which apparently doesn't exist.
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*|.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*|.*common\.test_pxe_utils\.TestPXEUtils\.test_place_common_config.*|.*drivers\.modules\.network\.test_common\.TestNeutronVifPortIDMixin\.test_port_changed_client_id.*|objects\.test_objects\.TestObjectVersions\.test_object_version_check|api\.controllers\.v1\.test_port\.TestDelete\.test_portgroups_subresource_delete))'
endif

	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.exception \
		--namespace ironic_lib.json_rpc \
		--namespace ironic_lib.mdns \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd \
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.reports \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace osprofiler \
		--namespace keystonemiddleware.audit \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
	# We're using python3, the default isn't good, it's using py2.
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/ironic

	# Fix the default httpboot path, some of it is in the postinst
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

	# Set some nice defaults
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_boot_interfaces pxe
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_deploy_interfaces iscsi,direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_deploy_interface direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_inspect_interfaces inspector
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_network_interface neutron
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_concurrency lock_path /var/lock/ironic
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe tftp_root /srv/tftp
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe ipxe_enabled true

	mkdir -p $(CURDIR)/debian/ironic-common/etc/ironic/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace ironic.api

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml


	# Fixed using /etc/ironic/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_policy policy_dirs /etc/ironic/policy.d

	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	#rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic 24.1.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet>=0.30.1 # MIT
WebOb>=1.7.1 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
keystoneauth1>=4.2.0 # Apache-2.0
ironic-lib>=6.0.0 # Apache-2.0
stevedore>=1.29.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=9.1.0 # Apache-2.0
# TODO(dtantsur): remove rootwrap when we no longer provide ironic-rootwrap CLI
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycdlib>=1.11.0 # LGPLv2
requests>=2.18.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
Jinja2>=3.0.0 # BSD License (3 clause)
keystonemiddleware>=9.5.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=4.0.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.48.0 # Apache-2.0
sushy>=4.8.0
construct>=2.9.39 # MIT
netaddr>=0.9.0 # BSD

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
ironic (1:24.1.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:17:19 +0100

ironic (1:24.1.0-0ubuntu1) noble; urgency=medium

  [ Luciano Lo Giudice ]
  * New upstream release for OpenStack Caracal.

  [ James Page ]
  * d/watch: Track Caracal releases.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Wed, 20 Mar 2024 09:09:31 +0000

ironic (1:23.1.0+git2024011916.a374a0c1-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 20:13:55 +0000

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 5.5.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4,
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.7.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 5.5.0),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.7.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

=== debian/tests/control ===
Tests: ironic-daemons
Depends:
 crudini,
 curl,
 ironic-api,
 ironic-conductor,
 mysql-server,
 rabbitmq-server,
Restrictions: needs-root, allow-stderr

## ironic 24.1.5

=== debian/changelog ===
ironic (1:24.1.5-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2025-44021_OSSA-2025-001_Disallow_unsafe_image_file_paths.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:46:08 +0000

ironic (1:24.1.3-4) UNRELEASED; urgency=medium

  * New upstream point release.
  * Add qemu-utils as build-depends.
  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:33:25 +0200

ironic (1:24.1.1-3) unstable; urgency=medium

  * Removed obsolete (build-)depends on python3-amqplib.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 14:20:13 +0200

ironic (1:24.1.1-2) unstable; urgency=medium

  * Restrict unit tests on arch: amd64, arm64, mips64el, ppc64el, riscv64,
    s390x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:25:54 +0200

ironic (1:24.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2024 13:53:31 +0200

ironic (1:24.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 16:19:55 +0200

ironic (1:24.0.0-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop remove-the-use-of-seqdiag.patch as upstream removed the use of
    seqdiag.
  * Re-enable 2 unit tests after fix is merged upstream.
  * Blacklist test_object_version_check (has a wrong version of hash).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 09:18:47 +0100

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-bashate,
 python3-cinderclient,
 python3-construct,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 6.0.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mysqldb,
 python3-netaddr (>= 0.9.0),
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils (>= 2.16.2),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-rfc3986,
 python3-scciclient (>= 0.16.0),
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 4.8.0),
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-webtest,
 qemu-utils,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 debconf,
 ironic-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-automaton,
 python3-cinderclient,
 python3-construct,
 python3-dracclient,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 6.0.0),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr (>= 0.9.0),
 python3-openstacksdk,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils (>= 2.16.2),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-rfc3986,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy (>= 4.8.0),
 python3-tenacity,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient (>= 0.16.0),
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
--- 
+++ 
@@ -39,15 +39,12 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 # Disabled:
-# - ironic.tests.unit.common.test_glance_service.TestGlanceImageService.test_show_makes_datetimes
-# - ironic.tests.unit.drivers.modules.irmc.test_raid.IRMCRaidConfigurationInternalMethodsTestCase.test__commit_raid_config_with_logical_drives
-# because I couldn't rebase https://review.opendev.org/c/openstack/ironic/+/821370
-# correctly. As it's likely only a test code issue, and Ironic otherwise works, let's ignore it
-# for the moment until we upgrade with the above patch.
 # - ironic.tests.unit.drivers.modules.test_pxe.PXEAnacondaDeployTestCase.test_reboot_to_instance
 # Try to access to /etc/dnsmasq.d/hostsdir.d/ironic-52:54:00:cf:2d:31.conf which apparently doesn't exist.
+# - ironic.tests.unit.objects.test_objects.TestObjectVersions.test_object_version_check
+# Has a wrong version of the hash
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*|.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*|.*common\.test_pxe_utils\.TestPXEUtils\.test_place_common_config.*|.*drivers\.modules\.network\.test_common\.TestNeutronVifPortIDMixin\.test_port_changed_client_id.*|objects\.test_objects\.TestObjectVersions\.test_object_version_check|api\.controllers\.v1\.test_port\.TestDelete\.test_portgroups_subresource_delete))'
+	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*|.*common\.test_pxe_utils\.TestPXEUtils\.test_place_common_config.*|.*drivers\.modules\.network\.test_common\.TestNeutronVifPortIDMixin\.test_port_changed_client_id.*|objects\.test_objects\.TestObjectVersions\.test_object_version_check))'
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic/tags .*/(\d[brc\d\.]+)\.tar\.gz
